package com.ssj.service.conch.parents.v1.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author yangcan
 * 类描述:家长-我的信息
 * 创建时间:2018年8月3日 上午11:13:02

 */
public class ParentsInfoV1Dto implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private String userId; //家长id
	private String userName;//家长昵称
	private String imgUrl;//家长头像
	private int homeworkRemind; //0:作业提醒开启 1:作业提醒关闭
	private int problemRemind;//0:难题提醒开启 1:难题提醒关闭
	private int lessonRemind; //0:一对一提醒开启 1:一对一提醒关闭
	private List<ChildInfoV1Dto> childList;//小孩信息列表
	private String phone; //手机号
	private String easemobName;//家长环信id
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getImgUrl() {
		return imgUrl;
	}
	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}
	public int getHomeworkRemind() {
		return homeworkRemind;
	}
	public void setHomeworkRemind(int homeworkRemind) {
		this.homeworkRemind = homeworkRemind;
	}
	public int getProblemRemind() {
		return problemRemind;
	}
	public void setProblemRemind(int problemRemind) {
		this.problemRemind = problemRemind;
	}
	public int getLessonRemind() {
		return lessonRemind;
	}
	public void setLessonRemind(int lessonRemind) {
		this.lessonRemind = lessonRemind;
	}
	public List<ChildInfoV1Dto> getChildList() {
		return childList;
	}
	public void setChildList(List<ChildInfoV1Dto> childList) {
		this.childList = childList;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getEasemobName() {
		return easemobName;
	}
	public void setEasemobName(String easemobName) {
		this.easemobName = easemobName;
	}
}
